<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE xsl:stylesheet [
		<!ENTITY nbsp "&#160;">
]>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:template match="ospiPresentation">
<head>
	<title><xsl:text>Presentation  by</xsl:text>&nbsp;&nbsp;<xsl:value-of select="contactInformation/artifact/structuredData/contactInformation/firstName"/>&nbsp;
	<xsl:if test="contactInformation/artifact/structuredData/contactInformation/middleName">
			<xsl:value-of select="contactInformation/artifact/structuredData/contactInformation/middleName"/>&nbsp;
	</xsl:if>
	<xsl:value-of select="contactInformation/artifact/structuredData/contactInformation/lastName"/>
	</title>
</head>
<body>
<xsl:if test="presentationFiles/CascadingStyleSheet">
	<link type="text/css" rel="stylesheet">
	<xsl:attribute name="href">
		<xsl:value-of select="presentationFiles/CascadingStyleSheet/artifact/fileArtifact/uri"/>
	</xsl:attribute>
	</link>
</xsl:if>
<xsl:if test="presentationFiles/JavascriptFile">
	<script type="text/javascript">
		<xsl:attribute name="src">
			<xsl:value-of select="presentationFiles/JavascriptFile/artifact/fileArtifact/uri"/>
		</xsl:attribute>
	// Content switching functions by Jack Letourneau, February 2002
	// www.eigengrau.com
	</script>
</xsl:if>

<!-- Contact section starts here -->

		<table cellspacing="5" cellpadding="0" border="0">
		<tr>
		    <td colspan="2" class="sectionHeading">
				<xsl:choose>
				<xsl:when test="contactInformation">
					&nbsp;
				</xsl:when>
				<xsl:otherwise>
					<xsl:text>Contact information missing!</xsl:text>
				</xsl:otherwise>
				</xsl:choose>
			</td>
		</tr>
		</table>

<table cellspacing="5" cellpadding="0" border="0" width="90%">
<tr>		
		 <td>
			<table cellspacing="5" cellpadding="0" border="0">
				<tr>		
				 <td rowspan="9" valign="top"><!-- Photo -->
					<xsl:if test="photo">
					<img border="1" align="middle" class="contactImage">
					<xsl:attribute name="src"><xsl:value-of select="photo/artifact/fileArtifact/uri"/></xsl:attribute>
					<xsl:attribute name="alt">
					<xsl:value-of select="contactInformation/artifact/structuredData/contactInformation/firstName"/>&nbsp;
					<xsl:if test="contactInformation/artifact/structuredData/contactInformation/middleName">
						<xsl:value-of select="contactInformation/artifact/structuredData/contactInformation/middleName"/>&nbsp;
					</xsl:if>
					<xsl:value-of select="contactInformation/artifact/structuredData/contactInformation/lastName"/>
					</xsl:attribute>
					</img>
				</xsl:if>
				</td>
			</tr>
		</table>
		</td>
		
		<td align="center">

<p class="userName">
<xsl:value-of select="contactInformation/artifact/structuredData/contactInformation/firstName"/>&nbsp;
				<xsl:if test="contactInformation/artifact/structuredData/contactInformation/middleName">
					<xsl:value-of select="contactInformation/artifact/structuredData/contactInformation/middleName"/>&nbsp;
				</xsl:if>
			<xsl:value-of select="contactInformation/artifact/structuredData/contactInformation/lastName"/>

</p>

<xsl:if test="//addressOne">
<p class="contactInfoLabel">Address:&nbsp;<span class="contactInfoData"><xsl:value-of select="//addressOne"/>&nbsp;


				<xsl:if test="//addressCity or //addressState or //addressZip">
				    		<xsl:if test="//addressCity"><xsl:value-of select="//addressCity"/></xsl:if>
						<xsl:if test="//addressState">&nbsp;<xsl:value-of select="//addressState"/></xsl:if>
						<xsl:if test="//addressZip">&nbsp;<xsl:value-of select="//addressZip"/></xsl:if>
				</xsl:if>
				
</span></p>
</xsl:if>


<xsl:if test="//phoneNumbers">
<p class="contactInfoLabel">Phone Numbers(s):&nbsp;<span class="contactInfoData">

	<xsl:for-each select="//phoneNumbers">
			<xsl:value-of select = "phoneNumber" />(<xsl:value-of select = "phoneType" />)&nbsp;
	</xsl:for-each>
				
							
</span></p>
</xsl:if>


<xsl:if test="//emails">
<p class="contactInfoLabel">Email(s):&nbsp;<span class="contactInfoData">

	<xsl:for-each select="//emails">
			<a><xsl:attribute name="href">mailto:<xsl:value-of select = "emailAddress" />
			</xsl:attribute><xsl:value-of select = "emailAddress" /></a>
			(<xsl:value-of select = "emailType" />)&nbsp;
	</xsl:for-each>				
							
</span></p>
</xsl:if>

</td>

</tr>

</table>


<br/>
	







<br/>
<!-- Suporting materials section starts here -->
 	<xsl:if test="resume-supportPhoto or resume-support">

	<table border="0" cellpadding="2" cellspacing="0" width="80%" align="center">
	<tr><td class="tableName">My Files</td></tr>
	</table>


	<table border="1" cellpadding="2" cellspacing="0" width="80%" align="center">


		<xsl:if test="resume-supportPhoto">

		<xsl:for-each select="resume-supportPhoto/artifact">
		<tr>	
		<td width="25%" class="supporting">
		<a target="_blank"><xsl:attribute name="href"><xsl:value-of select="fileArtifact/uri"/></xsl:attribute><xsl:value-of select="metaData/displayName"/></a>
		</td>
		<td width="75%" class="supporting">
		<xsl:value-of select="fileArtifact/technicalMetadata/description"/>&nbsp;
		</td>	
		</tr>
		</xsl:for-each>

		</xsl:if>

		<xsl:if test="resume-support">

		<xsl:for-each select="resume-support/artifact">
		<tr>	
		<td width="25%" class="supporting">
		<a target="_blank"><xsl:attribute name="href"><xsl:value-of select="fileArtifact/uri"/></xsl:attribute><xsl:value-of select="metaData/displayName"/></a>
		</td>
		<td width="75%" class="supporting">
		<xsl:value-of select="fileArtifact/technicalMetadata/description"/>&nbsp;
		</td>	
		</tr>
		</xsl:for-each>

		</xsl:if>



	</table>
	<br/>
      </xsl:if>
<br/>

<!-- URL section starts here -->
 	<xsl:if test="//resume-supportURL">

	<table border="0" cellpadding="2" cellspacing="0" width="80%" align="center">
	<tr><td class="tableName" align="center">My URLs</td></tr>
	</table>

	<table border="1" cellpadding="2" cellspacing="0" width="80%" align="center">

		<xsl:for-each select="resume-supportURL/artifact/structuredData/url">
		<tr>	
		<td width="20%" class="supporting">
		<a target="_blank"><xsl:attribute name="href"><xsl:value-of select="linkURL"/></xsl:attribute><xsl:value-of select="nameURL"/></a>
		</td>
		<td width="40%" class="supporting">
		<xsl:value-of select = "fullDescURL" />&nbsp;
		</td>	
		<td width="40%" class="supporting">
		<xsl:value-of select = "reflURL" />&nbsp;
		</td>	
		</tr>
		</xsl:for-each>

	</table>
	<br/>
      </xsl:if>
<br/>

<br/><br/>


</body>




</xsl:template>
</xsl:stylesheet>












